import React, { useState, useEffect } from "react";
import HomeView from "./HomeView";
import { useLocation } from "react-router-dom";
import { checkInApi, checkOutApi } from "../../api/user";
import { useHistory } from "react-router-dom";
import Alert from "@material-ui/lab/Alert";

const HomeContainer = (props) => {
  const location = useLocation();

  const [state, setState] = useState({
    latitude: null,
    longitude: null,
  });
  const [changeStatus, setChangeStatus] = useState("");
  const [changeId, setChangeId] = useState("");

  const [user, setUser] = useState({});
  let history = useHistory();

  const changeIdCheck = (id) => {
    setChangeId(id);
  };

  useEffect(() => {
    const infoUser = JSON.parse(localStorage.getItem("user"));
    setUser(infoUser);
    getPosition();
  }, []);

  const getPosition = () => {
    navigator.geolocation.getCurrentPosition((position) => {
      if (position.coords.longitude)
        setState({
          latitude: position.coords.latitude,
          longitude: position.coords.longitude,
        });
    });
  };

  const onCheckIn = async (status) => {
    if (status == 0) {
      let res = await checkInApi({
        employeeCode: user.code,
        companyCode: "DCV",
        checkinId: null,
        lat: "20.99847600",
        lng: "105.80720300",
        deviceName: "Xiaomi",
        deviceMac: "Xiaomi Mac",
      });
      if (res.data && res.data.errorCode == 200) {
        alert("Checkin thành công");
        setChangeStatus(5);
      } else if (res.status == 403 || res.status == 401) {
        localStorage.removeItem("TOKEN_KEY");
        localStorage.removeItem("user");
        setTimeout(() => {
          history.push("/");
        }, 100);
      } else {
        alert("Lỗi thông tin");
      }
    } else if (status == 1) {
      let res = await checkOutApi({
        employeeCode: user.code,
        companyCode: "DCV",
        checkinId: changeId,
        lat: "20.99847600",
        lng: "105.80720300",
        deviceName: "Xiaomi",
        deviceMac: "Xiaomi Mac",
      });
      if (res.data && res.data.errorCode == 200) {
        alert("Checkout thành công");
        setChangeStatus(6);
      } else if (res.status == 403 || res.status == 401) {
        localStorage.removeItem("TOKEN_KEY");
        localStorage.removeItem("user");
        setTimeout(() => {
          history.push("/");
        }, 100);
      } else {
        alert("Lỗi thông tin");
      }
    }
  };

  return (
    <HomeView
      user={user}
      onCheckIn={onCheckIn}
      changeStatus={changeStatus}
      changeIdCheck={changeIdCheck}
    />
  );
};

export default HomeContainer;
