import { BrowserRouter, Switch, Route, Link } from "react-router-dom";
import { useHistory, Redirect } from "react-router-dom";
import React, { useEffect, useState } from "react";
import LoginScreen from "./Login/LoginScreen";
import HomeScreen from "./Home/HomeContainer";

const RootView = () => {
  let history = useHistory();

  function PrivateRoute({ children, ...rest }) {
    let accessToken = localStorage.getItem("TOKEN_KEY");
    return (
      <Route
        {...rest}
        render={({ location }) =>
          accessToken ? (
            children
          ) : (
            <Redirect
              to={{
                pathname: "/",
                state: { from: location },
              }}
            />
          )
        }
      />
    );
  }

  function PublicRoute({ children, ...rest }) {
    let accessToken = localStorage.getItem("TOKEN_KEY");
    return (
      <Route
        {...rest}
        render={({ location }) =>
          !accessToken ? (
            children
          ) : (
            <Redirect
              to={{
                pathname: "/home",
                state: { from: location },
              }}
            />
          )
        }
      />
    );
  }
  return (
    <BrowserRouter>
      <Switch>
        <PublicRoute exact path="/">
          <LoginScreen />
        </PublicRoute>
        <PrivateRoute path="/home">
          <HomeScreen />
        </PrivateRoute>
      </Switch>
    </BrowserRouter>
  );
};

export default RootView;
